ARTSCLASSLIB = ../../classes/lib/libArts.la
ARTSCLASSINC = -I../../classes/include
CXX = @CXX@
CXXFLAGS = @CXXFLAGS@
top_builddir = ../..
LIBTOOL = @ /bin/sh $(top_builddir)/libtool

all: artsnexthopagg

clean:
	rm -f *.o *.lo artsnexthopagg
	rm -Rf .libs

strip:: artsnexthopagg
	@-if [ -f .libs/artsnexthopagg ]; then \
	  strip .libs/artsnexthopagg ; \
	else \
	  strip artsnexthopagg ; \
	fi

artsnexthopagg: artsnexthopagg.o ${ARTSCLASSLIB}
	${LIBTOOL} ${CXX} ${CXXFLAGS} artsnexthopagg.o ${ARTSCLASSLIB} \
	 @LIBS@ -o artsnexthopagg

artsnexthopagg.o: artsnexthopagg.cc ../../classes/include/*.hh
	${CXX} ${CXXFLAGS} ${ARTSCLASSINC} -c artsnexthopagg.cc

install:: strip
	${LIBTOOL} ../../install-sh -c -m 555 artsnexthopagg @bindir@/artsnexthopagg
	../../install-sh -c -m 444 artsnexthopagg.man @mandir@/manl/artsnexthopagg.l

tarball::
	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/artsnexthopagg
	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @mandir@/manl/artsnexthopagg.l


